FMT(1)

NAZWA
fmt - prosty optymalny formater tekstu

SKŁADNIA

fmt [-cstu] [-szerokość] [-w szerokość] [-p przedrostek]
    [--crown-margin] [--split-only] [--tagged-paragraph]
    [--uniform-spacing] [--width=szerokość]
    [--prefix=przedrostek] [--help] [--version] [plik...]

OPIS
Dokumentacja niniejsza nie jest już utrzymywana i może być niedokładna lub niekompletna. Autorytatywnym źródłem jest obecnie dokumentacja Texinfo. Dostęp do niej uzyskasz wpisując w wierszu poleceń:
    pinfo fmt
lub
    info fmt.

Ta strona podręcznika opisuje polecenie fmt w wersji GNU.

fmt to prosty formater, który wypełnia i łączy linie dając linie wynikowe do określonej szerokości szerokość (domyślnie 75). fmt łączy pliki podane jako argumenty. Jeśli nie podano żadnych, formatuje tekst ze standardowego wejścia.

W wyjściu zachowywane są puste linie, tak samo jak odstępy między wyrazami (chyba że użyto opcji -u). W odróżnieniu od fmt w wersji BSD, znaki tabulacji są rozszerzane na wejściu i zamieniane ponownie na wyjściu.

W wyjściu zachowane są wcięcia, a linie z różnymi wcięciami nie są łączone (chyba że użyto opcji -c lub -t) Zauważ, że aczkolwiek manpage fmt w wersji BSD także o tym mówi, owa wersja BSD faktycznie łączy następujące po sobie linie ze zmniejszającymi się wcięciami.

fmt preferuje łamanie linii na końcu zdania, i próbuje uniknąć łamania linii po pierwszym słowie zdania, albo przed ostatnim słowem zdania. Koniec zdania zdefiniowany jest jako albo koniec akapitu albo słowo zakończone jednym ze znaków '.?!', po którym występują dwie spacje lub koniec linii, bez względu na jakiekolwiek wtrącone nawiasy czy cudzysłowy. Podobnie jak TeX fmt czyta całe akapity przed wyborem łamania linii. Użyty algorytm jest wariantem opisanego w “Breaking Paragraphs into Lines”, Donald E. Knuth i Michael F. Plass, Software—Practice and Experience 11 (1981) 1119-1184.

OPCJE

-c, --crown-margin
    Tryb zwieńczonych marginesów. Zachowuje wcięcia pierwszych dwóch linii akapitu oraz wyrównuje lewy margines każdej następnej linii do marginesu drugiej linii.

-t, --tagged-paragraph
    Tryb wyróżnionych (wciętych) akapitów: tak jak tryb zwieńczony, z wyjątkiem tego, że wcięcie pierwszej linii akapitu musi się różnić od wcięcia drugiej linii. W przeciwnym razie linia pierwsza jest traktowana jako akapit jednolinijkowy.

-s, --split-only
    Tylko dzieli linie. Nie łączy krótkich linii, by utworzyć dłuższe. Ta opcja chroni przed niesłusznym łączeniem przykładowych linii kodu lub innego w podobny sposób “formatowanego” tekstu.

-u, --uniform-spacing
    Jednorodne odstępy. Redukuje odstępy między wyrazami do jednej spacji, zaś między zdaniami do dwu spacji.

-szerokość, -w szerokość, --width=szerokość
    Wypełnia linie wynikowe aż do szerokość znaków (domyślnie 75). fmt początkowo próbuje tworzyć linie o około 7% krótsze, aby zapewnić sobie miejsce na wyrównanie różnych długości linii.

-p, --prefix=przedrostek
    Tylko linie zaczynające się od przedrostka (może być poprzedzony białymi znakami) podlegają przetworzeniu. Przedrostek ze wszystkimi poprzedzającymi go białymi znakami jest odcinany na czas formatowania i dostawiany ponownie do każdej sformatowanej linii wyjściowej. Jednym z zastosowań jest formatowanie pewnych rodzajów komentarzy w programie, bez zmiany kodu.

--help
    Wyświetla informację o stosowaniu programu i dostępnych opcjach, kończy pracę.

--version
    Wyświetla numer wersji programu i kończy pracę.

ZGŁASZANIE BŁĘDÓW
Błędy proszę zgłaszać, w jęz. ang., do <bug-textutils@gnu.org>.

COPYRIGHT
Copyright © 1999 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

ZOBACZ TAKŻE
fold(1), pr(1), textutils(1).

OD TŁUMACZA
Zaktualizowano i poszerzono wg dokumentacji Texinfo dla narzędzi tekstowych GNU wersji 2.0.